Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226097 - Merge Review: linux-atm
Summary: Merge Review: linux-atm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 556081
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:33 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-18 15:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-18 15:52:52 UTC
jskarvad: fedora-review+


Attachments (Terms of Use)
patch for specfile (deleted)
2010-02-02 13:49 UTC, Marcela Mašláňová
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 19:33:55 UTC
Fedora Merge Review: linux-atm

http://cvs.fedora.redhat.com/viewcvs/devel/linux-atm/
Initial Owner: dwmw2@redhat.com

Comment 1 Jaroslav Škarvada 2010-01-26 16:30:08 UTC
MUST items:
[YES] rpmplint is silent
[YES] Package meets naming guidelines.
Comment #1

[YES] Package meets packaging guidelines.
[YES] Spec file matches base package name.
[YES] License file is present, matching with spec file.
[YES] Licensing Guidelines are met.
Comment #2

[YES] Spec file is legible and in American English.
[YES] Sources match upstream.
[YES] Package builds OK.
[?] BuildRequires is correct.
Comment #3

[YES] ldconfig is called in %post and %postun.
[YES] Package doesn't bundle copies of system libraries.
[YES] Package owns all the directories it creates.
[YES] Package has no duplicity in %files.
[YES] Permission on files are set properly.
Comment #4

[YES] %clean section is correct.
[YES] Spec file has consistant macro usage.
[YES] Package is code or permissable content.
[YES] %doc files don't affect runtime.
[YES] Header files are in -devel (-debuginfo) package.
[NO] Static libraries are in -static package
Comment #5

[?] -devel requires the base package using a fully versioned dependency.
Comment #6

[YES] No versioned libraries in -devel package.
[YES] No .la libtool archives.
[YES] Package doesn't own files/directories that other packages own.
[YES] Package has rm -rf $RPM_BUILD_ROOT at beginning of %install.
[YES] Spec file is valid UTF-8.

Should items:
[NO] Package builds in mock.
Comment #3

[YES] Package uses sane scriptlets.
[YES] Package contains man pages.


**Comments:
1) I suggest adding %{?dist} to Release tag.

2) Licensing is mess, but at least it looks like that LGPLv2+ can be generalized to LGPL+ (no explicit version declaration in source code).

3) In order to build in mock, I had to patch spec file:
-BuildRequires: glibc-kernheaders >= 2.4-9.1.88
+BuildRequires: glibc-headers >= 2.4-9.1.88

4) Better is to use %defattr(-, root, root, -) instead of %defattr(-, root, root, 0755) - for this package in both cases the resulting permissions seem to match.

5) There is libatm.a in -devel package.

6) libs-devel: Requires: linux-atm-libs = %{version}
Shouldn't be: Requires: %{name}-libs = %{version}-%{release} ?

Comment 2 Jaroslav Škarvada 2010-01-27 11:14:38 UTC
Some more rpmlint warnings:

$ rpmlint *.rpm
linux-atm-libs-devel.x86_64: W: no-documentation
linux-atm-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libatm.so.1.0.0 exit@GLIBC_2.2.5
linux-atm-libs.x86_64: W: no-documentation
linux-atm.x86_64: W: conffile-without-noreplace-flag /etc/hosts.atm
linux-atm.x86_64: W: spurious-executable-perm /usr/share/doc/linux-atm-2.5.0/ANS/pdf2e164_cc.pl
linux-atm.x86_64: W: spurious-executable-perm /usr/share/doc/linux-atm-2.5.0/init-redhat/atm
linux-atm.x86_64: W: file-not-utf8 /usr/share/doc/linux-atm-2.5.0/ANS/e164_cc
linux-atm.x86_64: W: spurious-executable-perm /usr/share/doc/linux-atm-2.5.0/ANS/hosts2ans.pl
linux-atm.x86_64: W: file-not-utf8 /usr/share/doc/linux-atm-2.5.0/doc/atm-linux-howto.txt
linux-atm.x86_64: W: doc-file-dependency /usr/share/doc/linux-atm-2.5.0/ANS/pdf2e164_cc.pl /usr/bin/perl
linux-atm.x86_64: W: doc-file-dependency /usr/share/doc/linux-atm-2.5.0/ANS/hosts2ans.pl /usr/bin/perl
5 packages and 0 specfiles checked; 0 errors, 11 warnings.

Comment 3 Marcela Mašláňová 2010-02-02 13:47:03 UTC
I solved, what could be solved. Rpmlint is complaining only a little:
linux-atm-libs.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
linux-atm-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libatm.so.1.0.0 exit@GLIBC_2.2.5
linux-atm-libs.x86_64: W: no-documentation
linux-atm-libs-devel.x86_64: W: no-documentation

I won't be removing exit calls, which seems to me ok. The rest is only warning. You can check new SRPM here:
http://mmaslano.fedorapeople.org/MergeReview/linux-atm-2.5.0-11.fc13.src.rpm

Comment 4 Marcela Mašláňová 2010-02-02 13:49:03 UTC
Created attachment 388295 [details]
patch for specfile

Comment 5 Marcela Mašláňová 2010-02-02 13:51:56 UTC
CC'ing Fedora maintainer for his opinion. I can commit these changes if you agree with them. Also I can commantain this package if you need some help.

Comment 6 Jaroslav Škarvada 2010-10-06 08:49:38 UTC
New version (linux-atm-2.5.1-1.fc15), some problems disappear, but some more rpmlint errors appear:

linux-atm-libs-devel.x86_64: W: no-documentation
linux-atm-libs.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
linux-atm-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libatm.so.1.0.0 exit@GLIBC_2.2.5
linux-atm-libs.x86_64: W: no-documentation
linux-atm.x86_64: W: conffile-without-noreplace-flag /etc/hosts.atm
linux-atm.x86_64: W: file-not-utf8 /usr/share/doc/linux-atm-2.5.1/ANS/e164_cc
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/ANS/CVS/Entries
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/doc/CVS/Repository
linux-atm.x86_64: W: file-not-utf8 /usr/share/doc/linux-atm-2.5.1/doc/atm-linux-howto.txt
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/ANS/CVS/Tag
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/init-redhat/CVS/Root
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/init-redhat/.cvsignore
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/doc/CVS/Tag
linux-atm.x86_64: W: manual-page-warning /usr/share/man/man8/mpcd.8.gz 31: warning: `SM(MPC)' not defined (probable missing space after `SM')
linux-atm.x86_64: W: manual-page-warning /usr/share/man/man8/mpcd.8.gz 46: warning: `SM(MPS).' not defined (probable missing space after `SM')
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/doc/CVS/Root
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/doc/.cvsignore
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/init-redhat/CVS/Repository
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/ANS/CVS/Root
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/ANS/CVS/Repository
linux-atm.x86_64: W: manual-page-warning /usr/share/man/man4/atmsigd.conf.4.gz 128: warning: `COMPATIBILITY' not defined
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/doc/CVS/Entries
linux-atm.x86_64: W: spurious-executable-perm /usr/share/doc/linux-atm-2.5.1/ANS/pdf2e164_cc.pl
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/ANS/.cvsignore
linux-atm.x86_64: W: spurious-executable-perm /usr/share/doc/linux-atm-2.5.1/ANS/hosts2ans.pl
linux-atm.x86_64: W: manual-page-warning /usr/share/man/man8/zeppelin.8.gz 102: warning: numeric expression expected (got `n')
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/init-redhat/CVS/Tag
linux-atm.x86_64: E: version-control-internal-file /usr/share/doc/linux-atm-2.5.1/init-redhat/CVS/Entries
linux-atm.x86_64: W: spurious-executable-perm /usr/share/doc/linux-atm-2.5.1/init-redhat/atm
linux-atm.x86_64: W: no-manual-page-for-binary ilmidiag
linux-atm.x86_64: W: no-manual-page-for-binary svc_recv
linux-atm.x86_64: W: no-manual-page-for-binary awrite
linux-atm.x86_64: W: no-manual-page-for-binary atmswitch
linux-atm.x86_64: W: no-manual-page-for-binary hediag
linux-atm.x86_64: W: no-manual-page-for-binary sonetdiag
linux-atm.x86_64: W: no-manual-page-for-binary ttcp_atm
linux-atm.x86_64: W: no-manual-page-for-binary aread
linux-atm.x86_64: W: no-manual-page-for-binary saaldump
linux-atm.x86_64: W: no-manual-page-for-binary zntune
linux-atm.x86_64: W: no-manual-page-for-binary svc_send
linux-atm.x86_64: W: no-manual-page-for-binary enitune
linux-atm.x86_64: W: doc-file-dependency /usr/share/doc/linux-atm-2.5.1/ANS/pdf2e164_cc.pl /usr/bin/perl
linux-atm.x86_64: W: doc-file-dependency /usr/share/doc/linux-atm-2.5.1/ANS/hosts2ans.pl /usr/bin/perl
5 packages and 0 specfiles checked; 15 errors, 28 warnings.

Also, it refuses to build, small patch is needed:
-BuildRequires: byacc automake libtool flex
+BuildRequires: byacc automake libtool flex flex-static

Comment 7 Marcela Mašláňová 2010-10-13 12:27:56 UTC
I've cut down to shorter list:
[marca@localhost linux-atm]$ rpmlint i386/*
linux-atm.i386: W: no-manual-page-for-binary ilmidiag
linux-atm.i386: W: no-manual-page-for-binary svc_recv
linux-atm.i386: W: no-manual-page-for-binary awrite
linux-atm.i386: W: no-manual-page-for-binary atmswitch
linux-atm.i386: W: no-manual-page-for-binary hediag
linux-atm.i386: W: no-manual-page-for-binary sonetdiag
linux-atm.i386: W: no-manual-page-for-binary ttcp_atm
linux-atm.i386: W: no-manual-page-for-binary aread
linux-atm.i386: W: no-manual-page-for-binary zntune
linux-atm.i386: W: no-manual-page-for-binary svc_send
linux-atm.i386: W: no-manual-page-for-binary enitune
linux-atm.i386: W: no-manual-page-for-binary saaldump
I won't create them. Some of them are script with comments on the top of them.

linux-atm-libs.i386: W: shared-lib-calls-exit /usr/lib/libatm.so.1.0.0 exit@GLIBC_2.0
Not sure whether this is a problem in this case.

linux-atm-libs.i386: W: no-documentation
linux-atm-libs-devel.i386: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 15 warnings.

Comment 8 Jaroslav Škarvada 2010-10-18 15:37:13 UTC
Thanks, seems OK. The shared-lib-calls-exit probably can not be easily fixed without library redesign / ABI change - now it is called for fatal failures such as malloc errors.

Comment 9 Marcela Mašláňová 2010-10-18 15:52:52 UTC
Thank you. I'd like to finally close it.


Note You need to log in before you can comment on or make changes to this bug.